package com.ccnode.codegenerator.dom.model;

package .tmp;

import com.ccnode.codegenerator.dom.a.b;
import com.ccnode.codegenerator.dom.a.d;
import com.ccnode.codegenerator.dom.a.j;
import com.ccnode.codegenerator.dom.model.Bind;
import com.ccnode.codegenerator.dom.model.GroupOne;
import com.ccnode.codegenerator.dom.model.IdDomElement;
import com.intellij.psi.PsiClass;
import com.intellij.psi.xml.XmlTag;
import com.intellij.util.xml.Attribute;
import com.intellij.util.xml.Convert;
import com.intellij.util.xml.GenericAttributeValue;
import com.intellij.util.xml.SubTagList;
import java.util.List;
import org.jetbrains.annotations.NotNull;

public interface GroupTwo extends GroupOne, IdDomElement {
  @SubTagList("bind")
  List<Bind> getBinds();
  
  @Attribute("parameterMap")
  @Convert(j.class)
  @NotNull
  GenericAttributeValue<XmlTag> getParameterMap();
  
  @Attribute("id")
  @Convert(d.class)
  GenericAttributeValue<String> getId();
  
  @Attribute("parameterType")
  @Convert(b.class)
  @NotNull
  GenericAttributeValue<PsiClass> getParameterType();
}
